package com.ssj.bean.weixin.libmy.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


@Entity
@Table(name = "tb_lib_book_detail")
public class BookDetail extends BaseEntity {

	/**
	 * id varchar(36) not null,
	info_id varchar(36) not null comment 'tb_lib_book_info id',
	qr_url varchar(200) comment '生成二维码的路径',
	create_time datetime ,
	 */
	private static final long serialVersionUID = 1L;
	
	private String infoId;
	private String qrUrl;
	private Date createTime;//生成时间
	
	private Date borrowedTime;//借阅时间
	private Integer type;//1 未借书，2借书中
	private Integer stat;//1 未下载二维码，2 已下载二维码
	private String userId;// 借书人
	private String libId;//图书馆
	private Date   backBookTime;//还书时间
	private String vipId;  //vipid
	
	private String updateStat; //更新标识 
	/**
	 * 书籍由系统自动生成编号
	 */
	private Integer flowId;
	
	private String inuser; //录入人userId
	
	private String bookcase; //书架 书籍存放位置 A-B-C-D
	
	private Integer recoveryType; //回收类型 1-回收2-入库 
	
	private Integer recoveryStat; //回收状态 null(1)-在馆(已回收)2-已回收(已入库)3-非馆目标
	
	private Integer isscan; //标明是否已经扫码 1-回收管理员扫码 2-入库管理员扫码
	
	private Integer isInitial; //是否是总部初始录入书籍数据  1是、其它否
	
	public String getInfoId() {
		return infoId;
	}
	public void setInfoId(String infoId) {
		this.infoId = infoId;
	}
	public String getQrUrl() {
		return qrUrl;
	}
	public void setQrUrl(String qrUrl) {
		this.qrUrl = qrUrl;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	@Column(name = "borrowed_time",insertable =false)
	public Date getBorrowedTime() {
		return borrowedTime;
	}
	public void setBorrowedTime(Date borrowedTime) {
		this.borrowedTime = borrowedTime;
	}
	public Integer getType() {
		return type;
	}
	public void setType(Integer type) {
		this.type = type;
	}
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public Integer getStat() {
		return stat;
	}
	public void setStat(Integer stat) {
		this.stat = stat;
	}
	public String getLibId() {
		return libId;
	}
	public void setLibId(String libId) {
		this.libId = libId;
	}
	@Column(name = "back_book_time",insertable =false)
	public Date getBackBookTime() {
		return backBookTime;
	}
	public void setBackBookTime(Date backBookTime) {
		this.backBookTime = backBookTime;
	}
	public String getVipId() {
		return vipId;
	}
	public void setVipId(String vipId) {
		this.vipId = vipId;
	}
	@Column(name = "update_stat",insertable =false)
	public String getUpdateStat() {
		return updateStat;
	}
	public void setUpdateStat(String updateStat) {
		this.updateStat = updateStat;
	}
	@Column(name = "flow_id",insertable =false)
	public Integer getFlowId() {
		return flowId;
	}
	public void setFlowId(Integer flowId) {
		this.flowId = flowId;
	}
	public String getInuser() {
		return inuser;
	}
	public void setInuser(String inuser) {
		this.inuser = inuser;
	}
	public String getBookcase() {
		return bookcase;
	}
	public void setBookcase(String bookcase) {
		this.bookcase = bookcase;
	}
	public Integer getRecoveryType() {
		return recoveryType;
	}
	public void setRecoveryType(Integer recoveryType) {
		this.recoveryType = recoveryType;
	}
	public Integer getRecoveryStat() {
		return recoveryStat;
	}
	public void setRecoveryStat(Integer recoveryStat) {
		this.recoveryStat = recoveryStat;
	}
	public Integer getIsscan() {
		return isscan;
	}
	public void setIsscan(Integer isscan) {
		this.isscan = isscan;
	}
	public Integer getIsInitial() {
		return isInitial;
	}
	public void setIsInitial(Integer isInitial) {
		this.isInitial = isInitial;
	}
	
	
}
